"""

"""
# A list of scenario dictionaries
scenarios = []

# 0 - t1r3
# 1 - t1r5
# 2 - t2r7
# 3 - t2r8
# 4 - t3r28
# 5 - t3r29
# 6 - t4r31
# 7 - t4r32

# T1R3
data = {'xleft':[-3.106,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[8,.4843334],
        'offshore_water_depth':.4,
        'scenario_id':'T1R3',
        'gauge_names':['B','1','2','3','4','5','7'],
        'gauge_x':[-0.68, 1.569, 2.568, 3.566, 4.564, 5.562, 7.559],
        'gauge_bed_elevation':[-0.400000, -0.293158,
                               -0.234473, -0.175788, -0.117104,
                               -0.058419, 0.058950],
        'start_slope_x':4,
        'finish_slope_x':6,
        'break_times':[34.15, 38.35, 42.95, 47.85, 53.15, 58.15],
        'break_xs':[5.45, 5.45, 5.28, 5.28, 5.29, 5.29],
        'break_type':['none', 'plunge', 'plunge', 'plunge', 'plunge', \
                      'plunge'],
        'axis':[0,80,-0.040,0.040],
        'axis_maximum_x':6.0,
        'ANUGA_start_time':1.83,
        'band_offset':-1.0,
        'wave_times':[23.0,59.0]  # this is in Anuga time
                 }
scenarios.append(data)

# T1R5
data = {'xleft':[-3.106,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[8,.4843334],
        'offshore_water_depth':.4,
        'scenario_id':'T1R5',
        'gauge_names':['B','1','2','3','4','5','7'],
        'gauge_x':[-0.68, 1.569, 2.568, 3.566, 4.564, 5.562, 7.559],
        'gauge_bed_elevation':[-0.400000, -0.293158,
                               -0.234473, -0.175788, -0.117104,
                               -0.058419, 0.058950],
        'start_slope_x':4,
        'finish_slope_x':6,
        'break_times':[28.68, 33.18, 37.68, 42.18, 47.38, 52.18],
        'break_xs':[5.45, 5.58, 5.29, 5.245, 5.21, 5.21],
        'break_type':['none', 'plunge', 'plunge', 'plunge', 'plunge', \
                      'plunge'],
        'axis':[0,80,-0.04,0.04],
        'axis_maximum_x':6.0,
        'ANUGA_start_time':0.38,
        'band_offset':-0.5,
        'wave_times':[20.0,59.0] # this is in Anuga time
        }
scenarios.append(data)



# #T2R7
# xleft is different
data = {'xleft':[-4.586,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[8,.4843334],
        'offshore_water_depth':.4,
        'scenario_id':'T2R7',
        'gauge_names':['B','1','2','3','4','5'],
        'gauge_x':[-0.68, 1.569, 2.568, 3.566, 4.564, 5.562],
        'gauge_bed_elevation':[-0.400000, -0.293158,
                               -0.234473, -0.175788, -0.117104,
                               -0.058419],
        'start_slope_x':5,
        'finish_slope_x':6.5,
        'break_times':[33.95, 41.25, 49.55, 56.75], # last 2 removed
        'break_xs':[5.93,5.93,5.907,5.78], # since depth finishes at 65 sec
        'break_type':['none', 'front steepened', 'front steepened', 'spill'],
        'axis':[0,80,-0.040,0.040],
        'axis_maximum_x':6.0,
        'ANUGA_start_time':0.05,
        'band_offset':2.0,
        'wave_times':[15.0,64.0] # this is in Anuga time
                 }
scenarios.append(data)

# #T2R8
# xleft is different
data = {'xleft':[-4.586,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[8,.4843334],
        'offshore_water_depth':.4,
        'scenario_id':'T2R8',
        'gauge_names':['B','1','2','3','4','5'],
        'gauge_x':[-0.68, 1.569, 2.568, 3.566, 4.564, 5.562],
        'gauge_bed_elevation':[-0.400000, -0.293158,
                               -0.234473, -0.175788, -0.117104,
                               -0.058419],
        'start_slope_x':5,
        'finish_slope_x':6.5,
        'break_times':[47.00,55.00,62.00,70.00], # last 2 removed
        'break_xs':[6.32,6.32,6.033,5.935],  # since depth finishes at 75 sec
        'break_type':['none', 'front steepened', 'front steepened',
                      'weak break'],
        'axis':[0,80,-0.040,0.040],
        'axis_maximum_x':6.0,
        'ANUGA_start_time':0.04,
        'band_offset':-2.0,
        'wave_times':[34.0,74.0] # this is in Anuga time
        }
scenarios.append(data)

# #T3R28
# xleft is different
data = {'xleft':[-3.875,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[14.,.3903881],
        'offshore_water_depth':.336,
        'scenario_id':'T3R28',
        'gauge_names':['B','1','2','3','5','7',
                       '9','10','11','12'],

        'gauge_x':[-0.325, 1.572, 2.571, 3.571, 5.57,
                   7.57, 9.569, 10.569, 11.569,
                   12.569],

        # remove 
        'gauge_bed_elevation':[-0.336000, -0.237263, -0.213789, -0.190315,
                               -0.143368,
                               -0.096420, -0.049472,
                               -0.025998, -0.002524, 0.020949],
        'start_slope_x':8.,
        'finish_slope_x':9.5,
        'break_times':[61.21,68.51,76.11,84.11],
        'break_xs':[9.17,9.135,9.135,9.105],
        'break_type':['collapse', 'collapse', 'collapse',
                      'collapse'],
        'axis':[0,80,-0.040,0.040],
        'axis_maximum_x':12.0,
        'ANUGA_start_time':12.18,
        'band_offset':-0.5,
        'wave_times':[30.0,85.0] # this is in Anuga time
        }
scenarios.append(data)

# #T3R29
data = {'xleft':[-3.875,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[14.,.3903881],
        'offshore_water_depth':.336,
        'scenario_id':'T3R29',
        'gauge_names':['B','1','2','3','5','7',
                       '9','10','11','12'],

        'gauge_x':[-0.325, 1.572, 2.571, 3.571, 5.57,
                   7.57, 9.569, 10.569, 11.569,
                   12.569],

        # remove 
        'gauge_bed_elevation':[-0.336000, -0.237263, -0.213789, -0.190315,
                               -0.143368,
                               -0.096420, -0.049472,
                               -0.025998, -0.002524, 0.020949],
            
        'start_slope_x':8.,
        'finish_slope_x':9.5,
        'break_times':[61.61,66.61,74.31,81.71],
        'break_xs':[9.063,9.063,9.043,9.043],
        'break_type':['none','collapse', 'collapse', 'collapse'],
        'axis':[0,80,-0.040,0.040],
        'axis_maximum_x':12.0,
        'ANUGA_start_time':10.48,
        'band_offset':-2.0,
        'wave_times':[30.0,74.0] # this is in Anuga time
                 }
scenarios.append(data)

# #T4R31
# xleft is different
data = {'xleft':[-2.43,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[14.,.3903881],
        'offshore_water_depth':.336,
        'scenario_id':'T4R31',      
        'gauge_names':['B','1','2','3','5','7',
                       '9','10','11','12'],

        'gauge_x':[-0.325, 1.572, 2.571, 3.571, 5.57,
                   7.57, 9.569, 10.569, 11.569,
                   12.569],

        # remove 
        'gauge_bed_elevation':[-0.336000, -0.237263, -0.213789, -0.190315,
                               -0.143368,
                               -0.096420, -0.049472,
                               -0.025998, -0.002524, 0.020949],
        
        'start_slope_x':6,
        'finish_slope_x':9,
        'break_times':[65.99,69.89,75.49,81.49,86.19],
        'break_xs':[8.53,7.46,7.492,7.492,7.444],
        'break_type':['collapse', 'spill', 'spill', 'spill', 'spill'],
        'axis':[0,80,-0.040,0.040],
        'axis_maximum_x':12.0,
        'ANUGA_start_time':11.63,
        'band_offset':-0.5,
        'wave_times':[34.0,75.0] # this is in Anuga time
        }
scenarios.append(data)

# #T4R32
data = {'xleft':[-2.43,0.0],  # Av' of ADV and Gauge A
        'xtoe':[0.0,0.0],
        'xbeach':[1.285,0.090],
        'xright':[14.,.3903881],
        'offshore_water_depth':.336,
        'scenario_id':'T4R32',   
        'gauge_names':['B','1','2','3','5','7',
                       '9','10','11','12'],

        'gauge_x':[-0.325, 1.572, 2.571, 3.571, 5.57,
                   7.57, 9.569, 10.569, 11.569,
                   12.569],

        # remove 
        'gauge_bed_elevation':[-0.336000, -0.237263, -0.213789, -0.190315,
                               -0.143368,
                               -0.096420, -0.049472,
                               -0.025998, -0.002524, 0.020949],
        
        'start_slope_x':6,
        'finish_slope_x':9,
        # The ANUGA_start_time has not been subtracted from these values
        'break_times':[64.29,68.69,73.49,79.39,84.69], # last wave removed
        'break_xs':[7.673,7.673,7.43,7.448,7.448], # Pressure info ends early
        'break_type':['none','spill', 'spill', 'spill', 'spill'],
        'axis':[0,80,-0.040,0.040],
        'axis_maximum_x':12.0,
        'ANUGA_start_time':12.68,
        'band_offset':-1.0,
        'wave_times':[34.0,75.0] # this is in Anuga time
        }
scenarios.append(data)

# These are the indexes from 'gauge_x' of the gauges for the journal article.
to_publish_indexes = {'T1R5':[0, 5, 6],
              'T2R7':[0, 3, 5],
              'T3R29':[0, 6, 8],
              'T4R32':[0, 5, 8]
              }



